Yaf_Plugin_Abstract::preResponse
Yaf_Plugin_Abstract::routerStartup
Yaf_Plugin_Abstract
PHP Manual

# Yaf_Plugin_Abstract::routerShutdown

The routerShutdown purpose

### Description

public void Yaf_Plugin_Abstract::routerShutdown ( Yaf_Request_Abstract `$request` , Yaf_Response_Abstract `$response` )

This hook will be trigged after the route process finished, this hook is usually used for login check.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`request`

`response`

### Return Values

### Examples

Example #1 Yaf_Plugin_Abstract::routerShutdownexample

`<?php
class UserInitPlugin extends Yaf_Plugin_Abstract {
public function routerShutdown(Yaf_Request_Abstract $request, Yaf_Response_Abstract $response) {
$controller = $request->getControllerName();
/**
* Use access controller is unecessary for APIs
*/
if (in_array(strtolower($controller), array(
'api',
))) {
return TRUE;
}
if (Yaf_Session::getInstance()->has("login")) {
return TRUE;
}
/* Use access check failed, need to login */
$response->redirect("http://yourdomain.com/login/");
return FALSE;
}
?>`

### See Also

- Yaf_Plugin_Abstract::routerStartup
- Yaf_Plugin_Abstract::dispatchLoopStartup
- Yaf_Plugin_Abstract::preDispatch
- Yaf_Plugin_Abstract::postDispatch
- Yaf_Plugin_Abstract::dispatchLoopShutdown